#!/bin/sh
# Programmer-tm (Motofan)
# Просмотрщик и редактор конфигурационного файла программы (Версия оптимизированная)
# Имя конфигурационного файла принимаем первым:
conf="$1"
# Вторым идет конкретный параметр в файле конфигурации:
par="$2"
# И третим идет конкретное значение этого параметра (если нам надо его поменять!):
zn="$3"
if [ "$conf" = "" ]
then
	# Вывод консольной информации по утилите:
	echo 'config_mgr.sh - script config manager (Vinrarus,Programmer-tm)
Using: config_mgr.sh [ $path/to/config/$config_name.cfg ] $Parametr $Znachenie
$Znachenie - null for look & not null for modify
old $Znachenie = new $Znachenie - $Znachenie not modifed'
	exit "1"
# Проверим наличие нового значения: 
elif [ "$zn" = "" ]
then
	# Значения нет:
	zn0=`sed -e '/^'$par='/!d' -e 's/^'$par'=//g' "$conf"`
	# Покинем программу...
	echo "$zn0"
	# Если же новое значение мы задали как ноль, то стираем предыдущее значение и откланиваемся пользователю...
elif [ "$zn" = "0" ]
then
	# Если же новое значение есть 0, тогда затираем старое значение:
	# Получим текущее значение:
	zn0=`sed -e '/^'$par='/!d' -e 's/^'$par'=//g' "$conf"`
	# Сотрем значение:
	X=`sed 's/'$par=$zn0'/'$par='/' "$conf"`
	# Пропишем в конфиг:
	echo "$X" > "$conf"
	# Выйдем:
	exit "0"
elif [ "$zn" = "00" ]
then
	# Если же новое значение есть, тогда:
	zn0=`sed -e '/^'$par='/!d' -e 's/^'$par'=//g' "$conf"`
	X=`sed 's/'$par=$zn0'/'$par=0'/' "$conf"`
	echo "$X" > "$conf"
	exit "0"
else
	# Если же новое значение есть, тогда:
	zn0=`sed -e '/^'$par='/!d' -e 's/^'$par'=//g' "$conf"`
	if [ "$zn" = "$zn0" ]
	then
		# Коль они равны, то менять мы ничего не будем...
		exit 1
	else
		# Если что-то не срослось, и предыдущих функций не хватило, то просто заменим одно значение на другое...
		X=`sed 's/'$par=$zn0'/'$par=$zn'/' "$conf"`
		echo "$X" > "$conf"
		exit 0
	fi
fi