#!/bin/sh
# Copy Programmer-tm (Мотофан!)
# iRadio (Больше, чем просто радио)
# Определим рабочую директорию:
mypath=${0%/*}
# Опишем функцию выбора плейлиста:
spis()
{
# построим GUI:
showRadio "iRadio" "Select Playlist:" `ls $mypath/playlists | grep "m3u" | sed s/\ /_/g`
stroka="$?"
# Если переменная пуста, то:
if [ "$stroka" = "0" ]
then
	showNotify "iRadio" "Canceled, return to the menu..." 2 2
else
	# Иначе мы запишем все в конфиг:
	"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg pls `ls $mypath/playlists | grep "m3u" | sed ''$stroka'!d'`
fi
}
# Опишем функцию выбора записи:
records()
{
# построим GUI:
showRadio "iRadio" "Select Record:" `ls $mypath/records | sed s/\ /_/g`
stroka="$?"
# Если переменная пуста, то:
if [ "$stroka" = "0" ]
then
	showNotify "iRadio" "Canceled, return to the menu..." 2 2
else
	mediaplayer -d $mypath/records/`ls $mypath/records | sed ''$stroka'!d'`
fi
}

# Опишем функцию единого центра настроек:
settings()
{
plan_s()
{
# Построим GUI:
showRadio "iRadio" "Settings Center: Plan" "Date+Month+Time start & stop"
RADIORES=$?
# Опишем действия пунктов меню:
case "$RADIORES" in
"0")
settings
;;
"1")
showSlider "iRadio" "Settings Center: Plan: Date select:" 1 31 1
d="$?"
# Если переменная пуста, то:
if [ "$d" = "0" ]
then
	showNotify "iRadio" "Canceled, return to the menu..." 2 2
else
	showSlider "iRadio" "Settings Center: Plan: Month select:" 01 12 1
	m="$?"
	# Если переменная пуста, то:
	if [ "$m" = "0" ]
	then
		showNotify "iRadio" "Canceled, return to the menu..." 2 2
	else
		showSlider "iRadio" "Settings Center: Plan: Hour start select:" 01 23 1
		H="$?"
		# Если переменная пуста, то:
		if [ "$H" = "0" ]
		then
			showNotify "iRadio" "Canceled, return to the menu..." 2 2
		else
			showSlider "iRadio" "Settings Center: Plan: Mines start start select:" 01 59 1
			M="$?"
			# Если переменная пуста, то:
			if [ "$M" = "0" ]
			then
				showNotify "iRadio" "Canceled, return to the menu..." 2 2
			else
				showSlider "iRadio" "Settings Center: Plan: Hour stop select:" 01 23 1
				H_s="$?"
				# Если переменная пуста, то:
				if [ "$H_s" = "0" ]
				then
					showNotify "iRadio" "Canceled, return to the menu..." 2 2
				else
					showSlider "iRadio" "Settings Center: Plan: Mines start stop select:" 01 59 1
					M_s="$?"
					# Если переменная пуста, то:
					if [ "$M_s" = "0" ]
					then
						showNotify "iRadio" "Canceled, return to the menu..." 2 2
					else
						# Написать преобразователь до нужного значения!!!
						if [ "$d" -lt "10" ]
						then
							d="0$d"
						fi
						if [ "$m" -lt "10" ]
						then
							m="0$m"
						fi
						if [ "$H" -lt "10" ]
						then
							H="0$H"
						fi
						if [ "$M" -lt "10" ]
						then
							M="0$M"
						fi
						if [ "$H_s" -lt "10" ]
						then
							H_s="0$H_s"
						fi
						if [ "$M_s" -lt "10" ]
						then
							M_s="0$M_s"
						fi
						# Получим заданный список:
						Spisok=`"$mypath"/config_mgr.sh "$mypath"/cfg/plan.cfg Spisok`
						# Небольшой костылек:
						Spisok_new=`echo -n "$Spisok" | tail -c 1`
						# Проверим список на пустоту!
						if [ "$Spisok" = "" ]
						then
							"$mypath"/config_mgr.sh "$mypath"/cfg/plan.cfg Spisok ""$d"."$m"_"$H":"$M"-"$H_s":"$M_s";"
						# Небольшой костылек:
						elif [ "$Spisok_new" != ";" ]
						then
							"$mypath"/config_mgr.sh "$mypath"/cfg/plan.cfg Spisok "$Spisok;"$d"."$m"_"$H":"$M"-"$H_s":"$M_s";"
						else
							"$mypath"/config_mgr.sh "$mypath"/cfg/plan.cfg Spisok "$Spisok"$d"."$m"_"$H":"$M"-"$H_s":"$M_s";"
						fi
					fi
				fi
			fi
		fi
	fi
fi
plan_s
;;
esac
}
# Опишем функцию установки громкости:
volume()
{
# построим GUI:
showSlider "iRadio" "Volume select:" 1 7 `"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg vol`
vol="$?"
# Если переменная пуста, то:
if [ "$vol" = "0" ]
then
	showNotify "iRadio" "Canceled, return to the menu..." 2 2
else
	# Иначе мы запишем все в конфиг:
	"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg vol $vol
fi
}
iRadio_s()
{
# Построим GUI:
showRadio "iRadio" "Settings Center: iRadio+Kvota" "Kvota" "Volume" "Record" "Play"
RADIORES=$?
# Опишем действия пунктов меню:
case "$RADIORES" in
"0")
settings
;;
"1")
# Получаем текущее свободное пространство носителя:
mesto=`df /mmc/mmca1 -m | sed 's/ \{1,\}/\n/g' | sed -n '11p'`
let mesto=$mesto/2
# построим GUI:
showSlider "iRadio" "Kvota select:" 1 $mesto 1
mesto="$?"
# Если переменная пуста, то:
if [ "$mesto" = "0" ]
then
	showNotify "iRadio" "Canceled, return to the menu..." 2 2
else
	# Иначе мы запишем все в конфиг:
	"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg kvota "$mesto"
fi
iRadio_s
;;
"2")
volume
iRadio_s
;;
"3")
if [ "$rec" = "1" ]
then
	"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg rec "00"
else
	"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg rec "1"
fi
iRadio_s
;;
"4")
if [ "$play" = "1" ]
then
	"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg play "00"
else
	"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg play "1"
fi
iRadio_s
;;
esac
}
# Построим GUI:
showRadio "iRadio" "Settings Center" "Plan" "iRadio+Kvota" "Reset CFG"
RADIORES=$?
# Опишем действия пунктов меню:
case "$RADIORES" in
"0")
menu
;;
"1")
plan_s
;;
"2")
iRadio_s
;;
"3")
echo "kvota=100
vol=1
pls=Svoe_Radio_HQ.m3u
rec=1
play=1
zap=
ok=" > "$mypath"/cfg/radio.cfg
echo "Data=
Vremya=
Vremya_end=
Prog_on=$mypath/kvota.sh 1
Prog_off=$mypath/iRadio_off.sh
Spisok" > "$mypath"/cfg/plan.cfg
;;
esac
}


# Опишем функцию динамического меню:
menu()
{
# Модная кнопка:
x=`ps -e |grep -h "wget" | cut -c 1-5 | sed '2!d'`
y=`pidof alertprocess`
if [ "$x" = "" ]
then
	if [ "$y" = "" ]
	then
		knp="Play or/and Record"
	else
		knp="Stop Play"
	fi
else
	if [ "$y" = "" ]
	then
		knp="Stop Record"
	else
		# Получим заданное значение для записи:
		rec=`"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg rec`
		if [ "$rec" = "0" ]
		then
			knp="Stop Play"
		else
			knp="Stop Play/Record"
		fi
	fi
fi
# Получим заданное значение для записи:
rec=`"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg rec`
# Получим заданное значение для воспроизведения:
play=`"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg play`
# Получим заданную громкость:
vol=`"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg vol`
if [ "$rec" = "1" ]
then
	if [ "$play" = "1" ]
	then
		tg="Rec+Play(Vol:$vol)"
	else
		tg="Rec"
	fi
else
	if [ "$play" = "1" ]
	then
		tg="Play(Vol:$vol)"
	fi
fi
# Получим заданный плейлист:
pls=`"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg pls`
# Формируем менюшку:
showRadio "iRadio" "${pls%.*}
$tg" "$knp" "Start Plan" "Select Playlist" "Select Record" "Settings Center" "View Log" "*About*" 
RADIORES=$?
# Опишем действия пунктов меню:
case "$RADIORES" in
"0")
exit
;;
"1")
if [ "$knp" = "Play or/and Record" ]
then
	(`"$mypath"/config_mgr.sh "$mypath"/cfg/plan.cfg Prog_on`)&
	sleep 16
	menu
else
	(`"$mypath"/config_mgr.sh "$mypath"/cfg/plan.cfg Prog_off`)&
	sleep 7
	menu
fi
;;
"2")
"$mypath"/plan.sh
menu
;;
"3")
spis
menu
;;
"4")
records
menu
;;
"5")
settings
menu
;;
"6")
showQ "iRadio" "Log: `cat "$mypath"/log/plan_log.txt`" 2
showNotify "iRadio" "Return to the menu..." 1 2
menu
;;
"7")
showQ "iRadio" "Первая версия GUI для набора скриптов на основе технологии: Радио из ZN5 (ver 0.4)" 2
showNotify "iRadio" "Return to the menu..." 1 2
menu
;;
esac
}
menu