#!/bin/sh
# Менеджер хранилища данных (С возможностью квотирования)
# Определим рабочую директорию:
mypath="${0%/*}"
# Запустим процесс, дав ему разрешение на работу:
ok=$1
"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg ok "$ok"
# Опишем службу для обработки свободного места:
sluzhba()
{
# Получаем текущее свободное пространство носителя:
mesto=`df /mmc/mmca1 -m | sed 's/ \{1,\}/\n/g' | sed -n '11p'`
# Получим заданную квоту:
kvota=`"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg kvota`
# Получим параметр ok:
ok=`"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg ok`
if [ "$ok" = "1" ]
then
	# Посчитаем пространство, доступное для записи:
	let prostr=$(($mesto-$kvota))/2
	# Если оное меньше нуля, то выйдем, иначе бум ждать, плюс пропишем команду запуска ПО...
	if [ "$prostr" -le "0" ]
	then
		echo "<Kvota> For record: "$prostr"MB, no zapis!" >> "$mypath"/log/plan_log.txt
		("$mypath"/iRadio_off.sh)&
	else
		zap=`"$mypath"/config_mgr.sh "$mypath"/cfg/radio.cfg zap`
		if [ "$zap" = "" ]
		then
			("$mypath"/iRadio_on.sh)&
		fi
		sleep 40
		sluzhba
	fi
else
	echo "<Kvota> ok not found, stop!" >> "$mypath"/log/plan_log.txt
	exit 1
fi
}
sluzhba