#!/bin/sh
# Функция запуска и остановки программного обеспечения в планировщике для MagX.
# Определим рабочую директорию:
mypath="${0%/*}"
# Вызовем функцию, запускающую программу:
(`"$mypath"/config_mgr.sh "$mypath"/cfg/plan.cfg Prog_on`)&
sluzhba()
{
# Опишем функцию перевода часов в число:
chaschislo()
{
# Убираем ":" и лишние "0":
chas=`echo "$1" | sed s/:// | sed -e 's/^[0]*//'`
# Восстановим 0 если совсем пусто:
if [ "$chas" = "" ]
then
# Восстановим 0 если совсем пусто:
chas="0"
fi
}
# Получим текущее время и скормим преобразователю:
chaschislo `date +%H:%M`
# Запишем его для дальнейшей работы:
chas1="$chas"
z=`"$mypath"/config_mgr.sh "$mypath"/cfg/plan.cfg Vremya_end`
if [ "$z" = "" ]
then
	echo "<$chas1> Stop: Error, time is null. Exit" >> "$mypath"/log/plan_log.txt
	exit 1
else
	# Получим заданное время и скормим преобразователю:
	chaschislo `"$mypath"/config_mgr.sh "$mypath"/cfg/plan.cfg Vremya_end`
	if [ "$chas1" = "$chas" ]
	then
		# Вызовем функцию, останавливающую программу, перепишем конфиг, и отпланируем это дело:
		echo "<$chas1> Stop: open stop command... Replace spisok, open plan" >> "$mypath"/log/plan_log.txt
		(`"$mypath"/config_mgr.sh "$mypath"/cfg/plan.cfg Prog_off`)&
		# Вернемся в планировщик через смену даты и времени:
		("$mypath"/spisok.sh)&
		exit
	else
		# Время еще не пришло, бум ждать:
		sleep 20
		sluzhba
	fi
fi
}
sluzhba